{Unit file for THotButton advanced project. This unit displays
a TForm with many THotButtons, showing various properties.

Source code for THotButton is copyright 1997, 1998, 1999 by
Acro Technology Inc. All rights reserved. This unit has
no such copyright.
}
unit HBadvanc;

interface

uses
{$ifdef WIN32}
	Windows, ComCtrls,
{$else}
	WinTypes, WinProcs,
{$endif}
	Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, Tabnotbk, HotBt304;

type
  TForm2 = class(TForm)
    TabbedNotebook1: TTabbedNotebook;
    HotButton5: THotButton;
    HotButton3: THotButton;
    HotButton10: THotButton;
		HotButton4: THotButton;
    HotButton1: THotButton;
    HotButton8: THotButton;
    HotButton6: THotButton;
    HotButton2: THotButton;
    HotButton7: THotButton;
    HotButton11: THotButton;
    HotButton9: THotButton;
    HotButton18: THotButton;
		HotButton13: THotButton;
    HotButton14: THotButton;
    HotButton15: THotButton;
    HotButton16: THotButton;
    HotButton17: THotButton;
    HotButton19: THotButton;
    HotButton12: THotButton;
    HotButton20: THotButton;
    HotButton21: THotButton;
    HotButton22: THotButton;
		procedure FormCreate(Sender: TObject);
		procedure HotButton3MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
		procedure HotButton3MouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
		procedure HotButton8Click(Sender: TObject);
		procedure HotButton13Click(Sender: TObject);
		procedure HotButton14Click(Sender: TObject);
		procedure HotButton15Click(Sender: TObject);
		procedure HotButton16Click(Sender: TObject);
		procedure HotButton17Click(Sender: TObject);
		procedure HotButton19Click(Sender: TObject);
		procedure TabbedNotebook1Change(Sender: TObject; NewTab: Integer; var AllowChange: Boolean);
    procedure HotButton4Click(Sender: TObject);
    procedure HotButton6Click(Sender: TObject);
	private
    { Private declarations }
	public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}
{$ifdef VER100}
	{$R Btns32.res}
{$endif}


procedure TForm2.FormCreate(Sender: TObject);
begin
{The following is necessary for Delphi 3...the D3 Object Inspector distorts colors when
a bitmap is loaded. Thus to get buttons to look right, they must be loaded at run time.
There is a .RC file in the HotButtn\Examples\MakeRES directory which, when compiled into
a .RES file using BRCC32, allows all bitmaps to be loaded from resources in the executable.
(It's really quite easy.) Note that this is not necessary for Delphi 1 or 2.

Also note that the UP and DN bitmaps were created by doing a LoadBitmap for a "flat"
BMP then calling SaveBitmapUp('filenmUP.bmp'); and SaveBitmapDown('filenmDN.bmp');}

{$ifdef VER100}
	HotButton2.LoadBitmapUpFromResName('FILECAB2_BMP');
	HotButton2.LoadBitmapDownFromResName('FILECAB1_BMP');

	HotButton6.LoadBitmapUpFromResName('EXIT1UP_BMP');
	HotButton6.LoadBitmapDownFromResName('EXIT1DN_BMP');

	HotButton7.LoadBitmapUpFromResName('SECURE1_BMP');
	HotButton7.LoadBitmapDownFromResName('SECURE2_BMP');

	HotButton8.LoadBitmapUpFromResName('HELPDSK1UP_BMP');
	HotButton8.LoadBitmapDownFromResName('HELPDSK1DN_BMP');

	HotButton9.LoadBitmapUpFromResName('DATABAS1UP_BMP');
	HotButton9.LoadBitmapDownFromResName('DATABAS1DN_BMP');

	HotButton11.LoadBitmapUpFromResName('CUTE1UP_BMP');
	HotButton11.LoadBitmapDownFromResName('CUTE1DN_BMP');

	HotButton13.LoadBitmapUpFromResName('LTTOLUP_BMP');
	HotButton13.LoadBitmapDownFromResName('LTTOLDN_BMP');

	HotButton14.LoadBitmapUpFromResName('LTOLUP_BMP');
	HotButton14.LoadBitmapDownFromResName('LTOLDN_BMP');

	HotButton15.LoadBitmapUpFromResName('LTBOLUP_BMP');
	HotButton15.LoadBitmapDownFromResName('LTBOLDN_BMP');

	HotButton16.LoadBitmapUpFromResName('RTOLUP_BMP');
	HotButton16.LoadBitmapDownFromResName('RTOLDN_BMP');

	HotButton17.LoadBitmapUpFromResName('RTBOLUP_BMP');
	HotButton17.LoadBitmapDownFromResName('RTBOLDN_BMP');

	HotButton19.LoadBitmapUpFromResName('RTTOLUP_BMP');
	HotButton19.LoadBitmapDownFromResName('RTTOLDN_BMP');

{$endif}

	HotButton9.BitmapUp := HotButton6.BitmapUp;	{The same "Getaway car" bitmap is displayed by 2 THotButtons}
	HotButton9.BitmapDown := HotButton6.BitmapDown;
end;

procedure TForm2.HotButton3MouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
	(Sender as THotButton).CaptionDepthShadow := 5;
end;

procedure TForm2.HotButton3MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
	(Sender as THotButton).CaptionDepthShadow := 1;
end;

procedure TForm2.HotButton8Click(Sender: TObject);
begin
	with HotButton8 do
	case CaptionAlignV of
		vaTop: CaptionAlignV := vaMiddle;
		vaMiddle: CaptionAlignV := vaBottom;
		vaBottom: CaptionAlignV := vaTop;
	end;
end;

procedure TForm2.HotButton15Click(Sender: TObject);
begin
	Caption := 'Moving Down and Left';
end;

procedure TForm2.HotButton13Click(Sender: TObject);
begin
	Caption := 'Moving Up and Left';
end;

procedure TForm2.HotButton19Click(Sender: TObject);
begin
	Caption := 'Moving Up and Right';
end;

procedure TForm2.HotButton17Click(Sender: TObject);
begin
	Caption := 'Moving Down and Right';
end;

procedure TForm2.HotButton16Click(Sender: TObject);
begin
	Caption := 'Moving Right';
end;

procedure TForm2.HotButton14Click(Sender: TObject);
begin
	Caption := 'Moving Left';
end;

procedure TForm2.TabbedNotebook1Change(Sender: TObject; NewTab: Integer; var AllowChange: Boolean);
begin
	Caption := 'THotButton Demonstration Form';
end;

procedure TForm2.HotButton4Click(Sender: TObject);
begin
	HotButton4.Blink := not HotButton4.Blink; 
end;

procedure TForm2.HotButton6Click(Sender: TObject);
begin
	with HotButton9 do
	begin
		Enabled := not Enabled;
		if Enabled then
			Caption := 'Enabled with 3D Border'
		else
			Caption := 'Disabled HotButton';
	end;
end;

end.
